 /*Tätä tiedostoa käyttää Reviews.jsx ja MyReviews.jsx*/

 .ReviewsContainer {
     position: fixed;
     top: 50%;
     left: 50%;
     transform: translate(-50%, -50%);
     box-shadow: 0 0 10px black;
     z-index: 3;
     width: 600px;
     height: 80%;
     display: flex;
     flex-direction: column;
 }

 .MyContainer {
     position: fixed;
     top: 50%;
     left: 50%;
     transform: translate(-50%, -50%);
     box-shadow: 0 0 10px black;
     z-index: 3;
     width: 600px;
     height: 80%;
     display: flex;
     flex-direction: column;
 }

 .MyHeader {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    text-align: center;
    align-items: center;
    background-image: linear-gradient(oldlace 19%, ivory 91%);
    border-bottom: 3px solid brown;
    padding: 20px 0 0 10px;
    height: 100px;
 }

 .ReviewsHeader {
    display: flex;
    flex-direction: column;
    gap: 5px;
    padding-top: 10px;
    text-align: center;
    align-items: center;
    background-image: linear-gradient(oldlace 19%, ivory 91%);
    border-bottom: 3px solid brown;
}

.searchByStars {
    display: flex;
    align-items: center;
    font-size: 10pt;
}

.AllReviewsStars {
    height: fit-content;
    display: flex;
    align-items: center;
    font-size: 12pt;
    line-height: 12pt;
    color: slateblue;
}

 .Header h2 {
    padding: 0;
    margin: 0;
    font-size: 12pt;
    font-weight: 600;
 }

 .MyHeader h2 {
    padding: 0;
    margin: 0;
    font-size: 12pt;
    font-weight: 600;
 }

 .ReviewsHeader h2 {
    padding: 0;
    margin: 0;
    font-size: 12pt;
    font-weight: 600;
 }

 .ReviewContainer {
     display: flex;
     align-items: flex-start;
     justify-content: space-between;
     gap: 10px;
     text-align: center;
     padding: 10px;
     background-image: linear-gradient(oldlace 19%, ivory 91%);
     height: 100%;
     overflow: auto;
 }

 .Reviews {
     display: grid;
     row-gap: 10px;
     margin: auto;
 }

 .ReviewContainer p {
     margin: 0;
     min-height: 22px;
 }

 .singleReview {
     display: grid;
     grid-template-areas:
         "title"
         "rating"
         "review"
         "username";
     box-sizing: border-box;
     margin: auto;
     background-color: lightgrey;
     border-radius: 5px;
     box-shadow: 0px 0px 5px rgb(134, 128, 122);
     background-image: repeating-linear-gradient(rgb(159, 144, 240), ivory 2px, white 22px);
     width: 500px;
     min-height: 109px;
 }

 .mySingleReview {
     display: grid;
     grid-template-areas:
         "title"
         "rating"
         "review";
     box-sizing: border-box;
     margin: auto;
     background-color: lightgrey;
     border-radius: 5px;
     box-shadow: 0px 0px 5px rgb(134, 128, 122);
     background-image: repeating-linear-gradient(rgb(159, 144, 240), ivory 2px, white 22px);
     width: 500px;
     min-height: 87px;
 }

 .bookHeader {
     grid-area: title;
     background-color: ivory;
     border-bottom: 2px solid mediumslateblue;
     border-radius: 5px 5px 0 0;
     margin: 0;
     margin-bottom: 3px;
     min-height: 44px;
     display: flex;
     align-items: flex-end;
     justify-content: center;
     position: relative;
 }

 .bookTitle {
     font-size: 11pt;
     font-weight: 600;
     line-height: 12pt;
     padding: 0 50px 0 50px;
 }

 .reviewID {
     position: absolute;
     top: 0;
     left: 0;
     padding-left: 5px;
     font-size: 8pt;
 }

 .closeButton {
     position: absolute;
     top: 0;
     right: 0;
     margin: 0;
     padding: 2px;
     font-size: 12pt;
 }

 .closeButton:hover {
    color: rgb(100, 100, 100);
}

.closeButton:active {
    font-size: 10pt;
}

 .bookRating {
     grid-area: rating;
     display: flex;
     align-items: center;
     justify-content: center;
     color: slateblue;
 }

 .bookReview {
     grid-area: review;
     font-size: 10pt;
     line-height: 22px;
     padding: 0 20px;
 }

 .bookReviewer {
     grid-area: username;
     font-size: 10pt;
     line-height: 22px;
     font-style: italic;
 }

 .deleteButton {
     position: absolute;
     top: 0;
     right: 0;
     font-size: 10pt;
     padding: 5px;
 }

 .deleteButton:hover {
     color: rgb(100, 100, 100);
 }

 .grey {
     background-color: black;
     position: fixed;
     top: 0;
     left: 0;
     width: 100%;
     height: 100%;
     z-index: 2;
     opacity: 0.5;
 }

 .searchByUser{
    width:50%;
    margin: auto;
    margin-bottom: 5px;
 }
